#ifndef __APP_H6__
#define __APP_H6__

#include "uipopt.h"

static void aborted();
static void timedout();
static void closed();
static void connected();
static void newdata();
static void acked();
static void senddata();
void call_appweb1(void);
void app3_init(void);
void appweb1_init(void);

struct appweb1_struct {
  u8_t state;
  unsigned char *textptr;
  int  textlen;
};

#ifndef UIP_APPCALL
#define UIP_APPCALL     call_appweb1
#endif

#ifndef UIP_APPSTATE_SIZE
#define UIP_APPSTATE_SIZE (sizeof(struct appweb1_struct))
#endif

#endif /* __APP_H6__ */
